import BaseFoundation from '../base/foundation';
export default class ToastListFoundation extends BaseFoundation {
  constructor(adapter) {
    super(Object.assign(Object.assign({}, ToastListFoundation.defaultAdapter), adapter));
  }

  addToast(toastOpts) {
    const toastList = this._adapter.getState('list'); // const id = getUuid('toast');
    // let toastOpts = { ...opts, id };
    // console.log(toastOpts);


    toastList.push(toastOpts);

    this._adapter.updateToast(toastList, []); // return id;

  }

  removeToast(id) {
    let toastList = this._adapter.getState('list');

    const removedItems = [];
    toastList = toastList.filter(toastOpts => {
      if (toastOpts.id === id) {
        removedItems.push(toastOpts);
        return false;
      }

      return true;
    });

    this._adapter.updateToast(toastList, removedItems);
  }

  destroyAll() {
    const toastList = this._adapter.getState('list');

    if (toastList.length > 0) {
      this._adapter.updateToast([], toastList);
    }
  }

}